{#
 * Copyright (C) 2014-2015, Champs Libres Cooperative SCRLFS, 
 <info@champs-libres.coop> / <http://www.champs-libres.coop>
 *
 * This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 *  License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
#}

{% extends "@ChillMain/layout.html.twig" %}

{% block title %}{{ 'Exports list'|trans }}{% endblock %}


{% block content %}

    {{ include('@ChillMain/Export/_navbar.html.twig', {'current' : 'common'}) }}

    <div class="col-md-10 exports-list">

        <div class="container mt-4">
            
            {% for group, exports in grouped_exports %}{%  if group != '_' %}
                <h2 class="display-6">{{ group|trans }}</h2>
                <div class="row flex-bloc">
                    {% for export_alias, export in exports %}
                    <div class="item-bloc">
                        <div class="item-row card-body">
                            <h2 class="card-title">{{ export.title|trans }}</h2>
                            <p class="card-text my-3">{{ export.description|trans }}</p>
                            <p>
                                <a class="btn btn-action" href="{{ path('chill_main_export_new', { 'alias': export_alias } ) }}">
                                    {{ 'Create an export'|trans }}
                                </a>
                            </p>
                        </div>
                    </div>
                    {% endfor %}
                </div>
            {% endif %}{% endfor %}
            
            {% if grouped_exports|keys|length > 1 and grouped_exports['_']|length > 0 %}
                <h2 class="display-6">{{ 'Ungrouped exports'|trans }}</h2>
            {% endif %}
            
            <div class="row flex-bloc">
            {% for export_alias,export in grouped_exports['_'] %}
    
                <div class="item-bloc">
                    <div class="item-row card-body">
                        <h2 class="card-title">{{ export.title|trans }}</h2>
                        <p class="card-text my-3">{{ export.description|trans }}</p>
                        <p>
                            <a class="btn btn-action" href="{{ path('chill_main_export_new', { 'alias': export_alias } ) }}">
                                {{ 'Create an export'|trans }}
                            </a>
                        </p>
                    </div>
                </div>
                
            {% endfor %}
            </div>
        </div>
    </div>
{% endblock %}
